<?php
/**
 * Interface que doivent implémentés les modules pour qu'ils puissent être supportés
 * 
 * @author Olivier Arteau
 */

interface Module {
    public function executerCommande(array $param, StatusObject $status);
    public function onStatusChange(array $param, StatusObject $newStatus);
    public function getCommandesEnregistre();
    public function finalize(array $param, StatusObject $status);
}

/**
 * !! ATTENTION !!
 * 
 * Les commandes qui sont enregistrées via ALL_COMMANDE ne peuvent faire de modification,
 * s'ils est en font, elles ne sont pas prises en compte par les autres modules.
 */

?>